#
# spec file for package yast2-caasp
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-caasp
Version:        4.0.5
Release:        lp150.1.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

# SystemRoleHandlersRunner
Requires:       yast2
BuildRequires:  yast2
# Overview widget
Requires:       yast2-installation >= 3.2.38
BuildRequires:  yast2-installation >= 3.2.38
# chrony support
Requires:       yast2-ntp-client   >= 4.0.3
BuildRequires:  yast2-ntp-client   >= 4.0.3
# System information widget
Requires:       yast2-tune         >= 3.2.0
BuildRequires:  yast2-tune         >= 3.2.0
# Password widget
Requires:       yast2-users        >= 3.2.10
BuildRequires:  yast2-users        >= 3.2.10
# Registration widget
Requires:       yast2-registration >= 3.2.1
BuildRequires:  yast2-registration >= 3.2.1
# new language selection cwm widget
BuildRequires:  yast2-country      >= 4.0.0
Requires:       yast2-country      >= 4.0.0
# SlpServices.find
Requires:       yast2-slp
BuildRequires:  yast2-slp

BuildRequires:  yast2-devtools     >= 3.1.39
BuildRequires:  rubygem(rspec)
BuildRequires:  rubygem(yast-rake) >= 0.2.13

BuildArch:      noarch

# SUSEConnect does not build for i586 and s390 and is not supported on those architectures
# bsc#1088552 so also yast2-registration is not there.
ExcludeArch:    %ix86 s390

Summary:        YaST2 - CaaSP Module
License:        GPL-2.0
Group:          System/YaST
Url:            https://github.com/yast/yast-caasp

%description
Containers as a Service Platform (CaaSP) specific module.

%prep
%setup -n %{name}-%{version}

%build

%check
%yast_check

%install
%yast_install

%files
%defattr(-,root,root)
%{yast_clientdir}/*.rb
%dir %{yast_libdir}/y2caasp
%dir %{yast_libdir}/y2caasp/cfa
%{yast_libdir}/y2caasp/cfa/*.rb
%dir %{yast_libdir}/y2caasp/widgets
%{yast_libdir}/y2caasp/widgets/*.rb
%dir %{yast_libdir}/y2caasp/clients
%{yast_libdir}/y2caasp/clients/*.rb
%dir %{yast_libdir}/y2system_role_handlers
%{yast_libdir}/y2system_role_handlers/*.rb
%doc %{yast_docdir}

%changelog
* Tue Apr 10 2018 jreidinger@suse.com
- Do not build on 32-bit architecture as some dependencies are not
  available there (bsc#1088852)
- 4.0.5
* Tue Jan 30 2018 igonzalezsosa@suse.com
- Handle product features overlay in a proper way (bsc#1077038).
- 4.0.4
* Tue Dec 12 2017 jreidinger@suse.com
- Use chrony instead of ntp (FATE#323432)
- 4.0.3
* Wed Sep 27 2017 jreidinger@suse.com
- fix building with roles with order (related to fix for
  bsc#1049297)
- 4.0.2
* Tue Sep 12 2017 knut.anderssen@suse.com
- Replace /info.txt by /README.BETA as beta file to be shown
  (bsc#1047060).
- 4.0.1
* Thu Sep  7 2017 jreidinger@suse.com
- Add language selection (FATE#323837)
- Mark all user visible strings for translation (FATE#323837)
- 4.0.0
* Mon Sep  4 2017 knut.anderssen@suse.com
- Fix keyboard selection widget requirement (fate#322276)
- 1.1.2
* Mon Jun  5 2017 knut.anderssen@suse.com
- Rearrange of keyboard and registration code widgets (bsc#1022768)
- 1.1.1
* Fri May 12 2017 igonzalezsosa@suse.com
- Adapt the system roles widget to yast2-installation 3.2.x
  (bsc#1038854)
- 1.1.0
* Fri Apr 28 2017 igonzalezsosa@suse.com
- Move specific CaaSP code from yast2-installation
  (bsc#1036838)
- 1.0.4
* Thu Apr 27 2017 igonzalezsosa@suse.com
- Add the iburst option to the NTP server configuration
  (FATE#323249)
- 1.0.3
* Fri Apr 21 2017 igonzalezsosa@suse.com
- Configure the administration node as a NTP server/client
  (FATE#323249)
- 1.0.2
* Thu Apr 20 2017 knut.anderssen@suse.com
- fate#323250
  - Added systemd timesyncd configuration in worker role handler.
- 1.0.1
* Thu Mar 23 2017 igonzalezsosa@suse.com
- Initial version
- 1.0.0
